cgGetSamplerStateAssignmentValue(3)

NAME
cgGetSamplerStateAssignmentValue - get a sampler-valued state assignment's values

SYNOPSIS
  #include <Cg/cg.h>
  CGparameter cgGetSamplerStateAssignmentValue( CGstateassignment sa );

PARAMETERS

sa  The state assignment.

RETURN VALUES
Returns a CGparameter handle for the sampler.

Returns NULL if an error occurs.

DESCRIPTION
cgGetSamplerStateAssignmentValues allows the application to retrieve the value(s) of a state assignment that stores a sampler.

EXAMPLES
to-be-written

ERRORS
CG_INVALID_STATE_ASSIGNMENT_HANDLE_ERROR is generated if sa is not a valid state assignment.

CG_STATE_ASSIGNMENT_TYPE_MISMATCH_ERROR is generated if sa is not a state assignment of a sampler type.

HISTORY
cgGetSamplerStateAssignmentValue was introduced in Cg 1.4.

SEE ALSO
the cgGetStateAssignmentState manpage, the cgGetStateType manpage, the cgGetFloatStateAssignmentValues manpage, the cgGetIntStateAssignmentValues manpage, the cgGetBoolStateAssignmentValues manpage, the cgGetStringStateAssignmentValue manpage, the cgGetProgramStateAssignmentValue manpage, the cgGetTextureStateAssignmentValue manpage